MarshalException (Java Platform SE 8 )
Keywords: javax.xml.bind.MarshalException class
Date: 2026-08-19

javax.xml.bind

## Class MarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.MarshalException

- All Implemented Interfaces:
    Serializable

      public class MarshalException
      extends JAXBException

  This exception indicates that an error has occurred while performing a marshal operation that the provider is unable to recover from.

  The `ValidationEventHandler` can cause this exception to be thrown during the marshal operations. See `ValidationEventHandler.handleEvent(ValidationEvent)`.

  Since:
    JAXB1.0
  See Also:
    `JAXBException`, `Marshaller`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarshalException(String message)` Construct a MarshalException with the specified detail message.
    `MarshalException(String message, String errorCode)` Construct a MarshalException with the specified detail message and vendor specific errorCode.
    `MarshalException(String message, String errorCode, Throwable exception)` Construct a MarshalException with the specified detail message, vendor specific errorCode, and linkedException.
    `MarshalException(String message, Throwable exception)` Construct a MarshalException with the specified detail message and linkedException.
    `MarshalException(Throwable exception)` Construct a MarshalException with a linkedException.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.JAXBException

      `getCause, getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MarshalException

          public MarshalException(String message)

      Construct a MarshalException with the specified detail message. The errorCode and linkedException will default to null.
      Parameters:
        `message` - a description of the exception

    - #### MarshalException

          public MarshalException(String message,
                                  String errorCode)

      Construct a MarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code

    - #### MarshalException

          public MarshalException(Throwable exception)

      Construct a MarshalException with a linkedException. The detail message and vendor specific errorCode will default to null.
      Parameters:
        `exception` - the linked exception

    - #### MarshalException

          public MarshalException(String message,
                                  Throwable exception)

      Construct a MarshalException with the specified detail message and linkedException. The errorCode will default to null.
      Parameters:
        `message` - a description of the exception
        `exception` - the linked exception

    - #### MarshalException

          public MarshalException(String message,
                                  String errorCode,
                                  Throwable exception)

      Construct a MarshalException with the specified detail message, vendor specific errorCode, and linkedException.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code
        `exception` - the linked exception

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.